"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const size = require("../../../constants/size.js");
const types = require("../../../utils/types.js");
const runtime = require("../../../utils/vue/props/runtime.js");
const icon = require("../../../utils/vue/icon.js");
const avatarProps = runtime.buildProps({
  size: {
    type: [Number, String],
    values: size.componentSizes,
    validator: (val) => types.isNumber(val)
  },
  shape: {
    type: String,
    values: ["circle", "square"]
  },
  icon: { type: icon.iconPropType },
  src: {
    type: String,
    default: ""
  },
  alt: String,
  srcSet: String,
  fit: {
    type: runtime.definePropType(String),
    default: "cover"
  }
});
const avatarEmits = { error: (evt) => evt instanceof Event };
exports.avatarEmits = avatarEmits;
exports.avatarProps = avatarProps;
